﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.13.0/gitea-1.13.0-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.13.0/gitea-1.13.0-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'd83dc076e0db53eae45b388d51a18f2aeaecf257a60cf3fe1826930361d7682f'
  checksumType  = 'sha256'
  checksum64    = '3b99845983b884a2f0278e2d83007c62134d7cec43eecab47c609f529814dd96'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
